/*
 * @(#)src/tools/pfm/java_md.h, tool, ax131, 20030523 1.8.1.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */

/*
 * @(#)java_md.h        1.5 98/08/24
 *
 */

#ifndef JAVA_MD_H
#define JAVA_MD_H

#include <limits.h>

#define PATH_SEPARATOR          ':'
#define FILE_SEPARATOR          '/'
#define MAXPATHLEN              PATH_MAX

#ifdef JAVA_ARGS
/*
 * ApplicationHome is prepended to each of these entries; the resulting
 * strings are concatenated (seperated by PATH_SEPARATOR) and used as the
 * value of -cp option to the launcher.
 */
#ifndef APP_CLASSPATH
#define APP_CLASSPATH        { "/lib/tools.jar", "/classes" }
#endif
#endif

#ifdef HAVE_GETHRTIME
/*
 * Support for doing cheap, accurate interval timing.
 */
#include <sys/time.h>
#define CounterGet()              (gethrtime()/1000)
#define Counter2Micros(counts)    (counts)
#else
#define CounterGet()              (0)
#define Counter2Micros(counts)    (1)
#endif /* HAVE_GETHRTIME */

/* ibm@1140 ibm@3218 ibm@7468
 * Define ATOE function as no-ops & call setLibAndExec() to setup LIBPATH
 */
#define InitMain(c,v) BuildHomeDir(*(v)) /*ibm@8076 setLibAndExec(c,v) */
#define ConvertArgsToPlatform(c,v)

#endif
