/*
 * @(#)src/classes/sov/org/omg/CORBA_2_3/portable/InputStream.java, orb-api, as131, 20030613 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/* rmi-iiop/src/share/classes/org/omg/CORBA_2_3/portable/InputStream.java, rr100, rr100 99/05/19 */
/*
 * RMI-IIOP v1.0
 *
 */

package org.omg.CORBA_2_3.portable;

// added javadoc comments						/*ibm@4279*/

/**
 * This class contains methods added to the ORB portability <code>InputStream</code>
 * abstract class by CORBA 2.3.
 */
public abstract class InputStream extends org.omg.CORBA.portable.InputStream {

    /**
     * Constructs an <code>InputStream</code>.
     */
    public InputStream() {						/*ibm@4318*/
    }

    /**
     * Unmarshals an IDL or RMI value type from the input stream.
     * @return the unmarshaled value type.
     * @exception org.omg.CORBA.portable.IndirectionException if the value type's
     * CDR encoding is an indirection to a value type that has not already been unmarshaled
     * by this <code>InputStream</code>.
     */
    public java.io.Serializable read_value() { 
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Unmarshals an IDL or RMI value type from the input stream.
     * @param clz the <code>Class</code> object for the declared type of the value to be 
     * unmarshaled.  This may be different from the actual type to be unmarshaled,
     * since the sender may have marshaled an instance of a more derived type.
     * @return the unmarshaled value type.
     * @exception org.omg.CORBA.portable.IndirectionException if the value type's
     * CDR encoding is an indirection to a value type that has not already been unmarshaled
     * by this <code>InputStream</code>.
     */
    public java.io.Serializable read_value(java.lang.Class clz) { 
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }
 
    /**
     * Unmarshals an IDL boxed valuetype from the input stream.
     * @param factory the helper instance to be used for unmarshaling the boxed valuetype.
     * @return the unmarshaled valuetype.
     * @exception org.omg.CORBA.portable.IndirectionException if the valuetype's
     * CDR encoding is an indirection to a valuetype that has not already been unmarshaled
     * by this <code>InputStream</code>.
     */
    public java.io.Serializable read_value(org.omg.CORBA.portable.BoxedValueHelper factory) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Unmarshals an IDL valuetype from the input stream.
     * @param rep_id the RepositoryId for the declared type of the value to be
     * unmarshaled.  This may be different from the actual type to be unmarshaled,
     * since the sender may have marshaled an instance of a more derived type.
     * @return the unmarshaled valuetype.
     * @exception org.omg.CORBA.portable.IndirectionException if the valuetype's
     * CDR encoding is an indirection to a valuetype that has not already been unmarshaled
     * by this <code>InputStream</code>.
     */
    public java.io.Serializable read_value(java.lang.String rep_id) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Unmarshals the data for an IDL valuetype from the input stream into the <code>value</code>
     * object, and returns <code>value</code> in a fully initialized state.
     * <p>This method is intended to be called by user implementations of the 
     * {@link org.omg.CORBA.portable.ValueFactory#read_value(InputStream)}
     * method.  The user code creates an uninitialized valuetype and passes it to this
     * method as the <code>value</code> parameter.  This method adds the valuetype
     * to the <code>InputStream</code>'s indirection table before calling
     * {@link org.omg.CORBA.portable.Streamable#_read(org.omg.CORBA.portable.InputStream)}
     * or {@link org.omg.CORBA.CustomMarshal#unmarshal(org.omg.CORBA.DataInputStream)}
     * to unmarshal the valuetype's data.  This allows any recursive references to the
     * valuetype within the valuetype's data to be resolved successfully.
     * @param value an uninitialized valuetype.
     * @return the unmarshaled valuetype.
     * @exception org.omg.CORBA.portable.IndirectionException if the valuetype's
     * CDR encoding is an indirection to a valuetype that has not already been unmarshaled
     * by this <code>InputStream</code>.
     */
    public java.io.Serializable read_value(java.io.Serializable value) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Unmarshals an IDL or RMI abstract interface type from the input stream and returns
     * either a value type or a stub, depending on the actual type that was marshaled
     * for the abstract interface.
     * @return the unmarshaled value type or stub.
     * @exception org.omg.CORBA.portable.IndirectionException if the abstract
     * interface type's CDR encoding is an indirection to a value type that has
     * not already been unmarshaled by this <code>InputStream</code>.
     */
    public java.lang.Object read_abstract_interface() {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }
 
    /**
     * Unmarshals an IDL or RMI abstract interface type from the input stream and returns
     * either a value type or a stub, depending on the actual type that was marshaled
     * for the abstract interface.
     * @param clz either the Class object for a stub class that corresponds to the
     * declared abstract interface type to be unmarshaled, or the Class object
     * for the declared abstract interface type to be unmarshaled.
     * @return the unmarshaled value type or stub.
     * @exception org.omg.CORBA.portable.IndirectionException if the abstract
     * interface type's CDR encoding is an indirection to a value type that has
     * not already been unmarshaled by this <code>InputStream</code>.
     */
    public java.lang.Object read_abstract_interface(java.lang.Class clz) {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

}
